Subject: bug#72556: 29.1.90; vc-diff does not undo hunk in end of source file

From: Tomas Nordin <[email-masked]>
Date: Sat, 01 Mar 2025 19:28:55 +0000

Tomas Nordin <[email-masked]> writes:

> The attached patch of diff-mode.el makes the assumption that hunk is
> already applied when both OLD and NEW yields non-nil, and checks if
> this is the case as the first or:ed attempt.  Optimistically assumes
> that this was the requested FIXME and so removes the FIXME comment.

But the patch seem to break the technique suggested by Dmitri,
'C-u C-c C-a', so I missed something.  I will see if I can find
some other fix.